Summary:	Python bindings for GtkGLExt library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GtkGLExt
Name:		python-pygtkglext
Version:	1.1.0
Release:	6
License:	LGPL
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/gtkglext/pygtkglext-%{version}.tar.bz2
# Source0-md5:	720b421d3b8514a40189b285dd91de57
URL:		http://gtkglext.sourceforge.net/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	gtkglext-devel >= 1.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-pygtk-devel >= 2:2.6.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
Requires:	python-pygtk-gtk >= 2:2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
PyGtkGLExt is Python language bindings for GtkGLExt, OpenGL Extension
to GTK.

%description -l pl.UTF-8
PyGtkGLExt to wiązania języka Python do GtkGLExt - rozszerzenia OpenGL
dla GTK.

%package devel
Summary:	Development files for Python bindings for GtkGLExt
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pythona do GtkGLExt
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygtk-devel >= 2:2.6.0

%description devel
Development files for Python bindings for GtkGLExt.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Pythona do GtkGLExt.

%package examples
Summary:	Example programs for PyGtkGLExt
Summary(pl.UTF-8):	Przykładowe programy do PyGtkGLExt
Group:		Development/Languages/Python

%description examples
Example programs for PyGtkGLExt.

%description examples -l pl.UTF-8
Przykładowe programy do PyGtkGLExt.

%prep
%setup -q -n pygtkglext-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%{py_sitedir}

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/gtk/gdkgl/_gdkgl.la
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/gtk/gtkgl/_gtkgl.la

cp -p examples/*.{png,py} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%dir %{py_sitedir}/gtk-2.0/gtk/gdkgl
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtk/gdkgl/_gdkgl.so
%{py_sitedir}/gtk-2.0/gtk/gdkgl/__init__.py[co]
%{py_sitedir}/gtk-2.0/gtk/gdkgl/ext.py[co]
%dir %{py_sitedir}/gtk-2.0/gtk/gtkgl
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtk/gtkgl/_gtkgl.so
%{py_sitedir}/gtk-2.0/gtk/gtkgl/__init__.py[co]
%{py_sitedir}/gtk-2.0/gtk/gtkgl/apputils.py[co]
%{py_sitedir}/gtk-2.0/gtk/gtkgl/widget.py[co]

%files devel
%defattr(644,root,root,755)
%{_datadir}/pygtk/2.0/defs/gdkglext*.defs
%{_datadir}/pygtk/2.0/defs/gtkglext*.defs
%{_pkgconfigdir}/pygtkglext-1.0.pc

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Dec 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pygtkglext.git;a=log;h=master

* Mon Dec 30 2013 Elan Ruusamäe <glen@delfi.ee> 87a1c2d
- modernize spec

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f6dd09
- release 5

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 399c703
- release 4

* Wed May 07 2008 Jakub Bogusz <qboosh@pld-linux.org> 0d504c7
- BR: rpm-pythonprov

* Tue Apr 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 3cd5c18
- release 3

* Tue Apr 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 0241ebc
- more verbose files
- killed duplicates: pygtk defs in -devel only

* Mon Sep 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 8d7e8c3
- cleanup

* Mon Sep 03 2007 Marcin Banasiak <marcin.banasiak@gmail.com> bda3a87
- updated deps
- added examples subpackage

* Sun Sep 02 2007 aflinta <aflinta@pld-linux.org> 664d3b6
- make it finally working (thx Megabajt), rel 2

* Sat May 19 2007 aflinta <aflinta@pld-linux.org> bc27cf4
- up to 1.1.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 35d9052
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2637e21
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> 1ca02ae
- strict internal deps

* Sun Apr 02 2006 Jakub Bogusz <qboosh@pld-linux.org> e5c39ea
- use py_sitescriptdir macro

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> e37feb8
- mass commit: remove obsolete BR: rpm-pythonprov

* Sat Dec 25 2004 saq <saq@pld-linux.org> 93c2107
- release 4 for rebuild with python 2.4

* Sun Nov 14 2004 havner <havner@pld-linux.org> 30fb220
- fixed %files
- rel 3

* Sun Nov 14 2004 havner <havner@pld-linux.org> b571439
- rel up for rebuild with python-pygtk

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 9d73f88
- removed %include /usr/lib/rpm/macros.python

* Tue Jan 20 2004 Jakub Bogusz <qboosh@pld-linux.org> ce5051a
- refresh config.sub for amd64

